# Template Updated Receive a notification when a Security Template is updated in Tenovos. Endpoint: POST security.template.updated Version: v1.0 Security: OAuth2 ## Request fields (application/json): - `eventType` (string) Combination of the Topic and the Event Example: "security.template.updated" - `event` (object) Object containing event information and the user who triggered the event. - `event.id` (string) Unique identifier of the webhook event itself Example: "some-event-type-d231cf1d-86b2-436e-95de-b745c39d2ed5" - `event.time` (string) Date/Time that the webhook event occurred. Example: "2024-05-09T17:55:28.462Z" - `event.user` (object) - `event.user.id` (string) The Tenovos User ID for the user who caused the event Example: "7d675ef0-f423-11e9-8071-89c0c405214e" - `event.user.firstName` (string) First Name of the User Example: "Erlich" - `event.user.lastName` (string) Last Name of the User Example: "Bachman" - `securityTemplate` (object) - `securityTemplate.id` (string) Unique ID assigned to the Security Template Example: "306b558b-c2af-467f-93e1-30b658ac98b9" - `securityTemplate.name` (object) Name given to the Security Template in it's current and previous state as part of the update - `securityTemplate.name.current` (string) The value of the Security Template Name after the associated update was made, if the name of the template was updated. Example: "Security Template BF" - `securityTemplate.name.previous` (string) The value of the Security Template Name before the associated update was made, if the name of the template was updated. Example: "Security Template A" - `securityTemplate.groups` (array) - `securityTemplate.groups.id` (string) Unique ID given to the Security Group Example: "f22dccbc-6032-4279-9f19-d5dc91d9757e" - `securityTemplate.groups.name` (string) Name given to the Security Group Example: "Administrators Group" - `securityTemplate.groups.permissions` (object) - `securityTemplate.groups.permissions.added` (array) - `securityTemplate.groups.permissions.added.id` (string) Unique ID of the permission that was added to the given Group within the Security Template Example: "3b44a2b2-012e-438a-b004-0a500326e933" - `securityTemplate.groups.permissions.added.name` (string) Name of the Security permission Example: "Relationships" - `securityTemplate.groups.permissions.removed` (array) - `securityTemplate.groups.permissions.removed.id` (string) Unique ID of the permission that was removed to the given Group within the Security Template Example: "2b408274-aa49-4250-a0eb-996d80172fe5" ## Response 200 fields